Subject: Re: bug#12884: 24.2.50; defun*: argument lists in documentation look terrible

From: Stefan Monnier <[email-masked]>
Date: Wed, 14 Nov 2012 14:49:08 -0500

> | (my-toggle-item #:MODE-OR-VAR &key ((:selected #:ENABLED-SPEC) (\`
> | (am-bound-and-true-p (quote (\, mode-or-var))))) ((:help
> | #:HELP-STRING) (am-make-symbol-docstring mode-or-var)))

Let me just say that I will resist the urge to tell you what I think
about this style of argument list ;-)

> This looks terrible with all this #: and quote \, stuff.

Binding print-quoted makes sense to improve the quote/backquote syntax.
But I don't understand why we have those #: in there.  I understand it's
there to say the symbols are not interned, but I don't understand why
they're not interned.

        Stefan